Bug 525950 - Disk offline after resuming from suspend to RAM
Summary: Disk offline after resuming from suspend to RAM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-27 18:27 UTC by Per Nystrom
Modified: 2010-06-28 14:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:49:37 UTC


Attachments (Terms of Use)

Description Per Nystrom 2009-09-27 18:27:29 UTC
Description of problem:

Sometimes when I suspend to RAM (S3) and then resume, my PATA drive remains offline.  The disk always shows up when I cold boot and smartctl tests show no errors, so I doubt it's a hardware problem.

Version-Release number of selected component (if applicable):

# uname -a
Linux spike 2.6.30.5-43.fc11.x86_64 #1 SMP Thu Aug 27 21:39:52 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

About 50% of the time

Steps to Reproduce:
1. Suspend the machine to RAM using the Gnome menu
2. Resume from suspend
  
Actual results:

Sometimes /dev/sda is offline.

Expected results:

The drive should be online.

Additional info:

From /var/log/messages:

Sep 25 12:33:57 spike kernel: Restarting tasks ... <6>sd 0:0:0:0: [sda] Unhandled error code
Sep 25 12:33:57 spike kernel: sd 0:0:0:0: [sda] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK
Sep 25 12:33:57 spike kernel: end_request: I/O error, dev sda, sector 1465143828
Sep 25 12:33:57 spike kernel: end_request: I/O error, dev sda, sector 1465143828
Sep 25 12:33:57 spike kernel: md: super_written gets error=-5, uptodate=0
Sep 25 12:33:57 spike kernel: raid1: Disk failure on sda3, disabling device.
Sep 25 12:33:57 spike kernel: raid1: Operation continuing on 1 devices.
Sep 25 12:33:57 spike kernel: done.
Sep 25 12:33:58 spike kernel: RAID1 conf printout:
Sep 25 12:33:58 spike kernel: --- wd:1 rd:2
Sep 25 12:33:58 spike kernel: disk 0, wo:0, o:1, dev:sdb3
Sep 25 12:33:58 spike kernel: disk 1, wo:1, o:0, dev:sda3
Sep 25 12:33:58 spike kernel: RAID1 conf printout:
Sep 25 12:33:58 spike kernel: --- wd:1 rd:2
Sep 25 12:33:58 spike kernel: disk 0, wo:0, o:1, dev:sdb3

# smartctl -a /dev/sda
smartctl version 5.38 [x86_64-redhat-linux-gnu] Copyright (C) 2002-8 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=== START OF INFORMATION SECTION ===
Model Family:     Seagate Barracuda 7200.10 family
Device Model:     ST3750640AS
Serial Number:    5QD40BR9
Firmware Version: 3.AAE
User Capacity:    750,156,374,016 bytes
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   7
ATA Standard is:  Exact ATA specification draft version not indicated
Local Time is:    Sun Sep 27 11:25:29 2009 PDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

.
.
.

SMART Error Log Version: 1
No Errors Logged

SMART Self-test log structure revision number 1
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Extended offline    Completed without error       00%      1738         -
# 2  Extended offline    Aborted by host               80%      1684         -
# 3  Short offline       Completed without error       00%      1647         -

Comment 1 Per Nystrom 2009-09-27 18:32:40 UTC
Sorry, I believe I got the drive type mixed up.  /dev/sda on my system is SATA not PATA.  Drive /dev/sdb is PATA, and it always comes back online when I resume.

# smartctl -a /dev/sdb
smartctl version 5.38 [x86_64-redhat-linux-gnu] Copyright (C) 2002-8 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=== START OF INFORMATION SECTION ===
Model Family:     Seagate Barracuda 7200.10 family
Device Model:     ST3750640A
Serial Number:    3QD0GB31
Firmware Version: 3.AAE
User Capacity:    750,156,374,016 bytes
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   7
ATA Standard is:  Exact ATA specification draft version not indicated
Local Time is:    Sun Sep 27 11:28:49 2009 PDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

Comment 2 Bug Zapper 2010-04-28 10:35:38 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:49:37 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.